Bug 1276572 - [abrt] system-config-bind: DNS.py:932:__init__:Undefined
[abrt] system-config-bind: DNS.py:932:__init__:Undefined
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:613dc111b1cfed54ec98cb28611...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 03:50 EDT by Robert E. Cottrell
Modified: 2016-02-10 09:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:38:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (920 bytes, text/plain)
2015-10-30 03:50 EDT, Robert E. Cottrell
no flags Details
File: environ (3.30 KB, text/plain)
2015-10-30 03:50 EDT, Robert E. Cottrell
no flags Details

  None (edit)
Description Robert E. Cottrell 2015-10-30 03:50:04 EDT
Description of problem:
Failed at invocation. Both by selecting the application from the configure DNS icon, and by command line.

Version-Release number of selected component:
system-config-bind-4.0.15-8.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/sbin/system-config-bind-gui
executable:     /usr/sbin/system-config-bind-gui
kernel:         3.19.8-100.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
DNS.py:932:__init__:Undefined

Traceback (most recent call last):
  File "/usr/sbin/system-config-bind-gui", line 197, in <module>
    GUI(sys.argv)
  File "/usr/sbin/system-config-bind-gui", line 107, in __init__
    self.bind=BIND(self, argv)
  File "/usr/share/system-config-bind/BIND.py", line 95, in __init__
    self.load()
  File "/usr/share/system-config-bind/BIND.py", line 156, in load
    self.views[vk]['view'] = View(self.nmdc,view,self.views[vk])
  File "/usr/share/system-config-bind/View.py", line 13, in __init__
    s.inputFilter = DNS.ACL(s.cfg['match-clients'],s.nmdc,['view',key,'match-clients'])
  File "/usr/share/system-config-bind/DNS.py", line 932, in __init__
    raise ACL.Undefined(s,v)
Undefined

Local variables in innermost frame:
a: <IPV4.Address instance at 0x2943248>
name: ['view', 'external', 'match-clients']
s: <DNS.ACL instance at 0x2943170>
r: (-1, 'invalid IPv4 prefix: "any"')
Comment 1 Robert E. Cottrell 2015-10-30 03:50:07 EDT
Created attachment 1087830 [details]
File: backtrace
Comment 2 Robert E. Cottrell 2015-10-30 03:50:08 EDT
Created attachment 1087831 [details]
File: environ
Comment 3 Jan Kurik 2015-12-22 06:34:22 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.